Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uky.kcr.recordlinkage.configuration
Class MatchingConfiguration

    java.lang.Object
      edu.uky.kcr.recordlinkage.configuration.MatchingConfiguration

    public class MatchingConfiguration

extends java.lang.Object

Describes a single matching configuration item in a `LinkageConfiguration` that will be used by a LinkageEngine to match records.

Author:
  ihands

Constructor Summary
`MatchingConfiguration(java.lang.String primaryFieldString, java.lang.String secondaryFieldName, java.lang.String method)`

Method Summary
`java.lang.String` | `getDateFormat()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getMissingValueDateDay()`
`java.lang.String` | `getMissingValueDateMonth()`
`java.lang.String` | `getMissingValueDateYear()`
`java.lang.String` | `getMissingValueString()`
`java.lang.String` | `getPrimaryFieldName()`
`java.lang.String` | `getSecondaryFieldName()`
`boolean` | `isDate()`
`void` | `setDate(boolean isDate)`
`void` | `setDateFormat(java.lang.String dateFormat)`
`void` | `setMethod(java.lang.String method)`
`void` | `setMissingValueDateDay(java.lang.String missingValueDateDay)`
`void` | `setMissingValueDateMonth(java.lang.String missingValueDateMonth)`
`void` | `setMissingValueDateYear(java.lang.String missingValueDateYear)`
`void` | `setMissingValueString(java.lang.String missingValueString)`
`void` | `setPrimaryFieldName(java.lang.String primaryFieldName)`
`void` | `setSecondaryFieldName(java.lang.String secondaryFieldName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchingConfiguration

    public MatchingConfiguration(java.lang.String primaryFieldString,
                                 java.lang.String secondaryFieldName,
                                 java.lang.String method)

Method Detail

### getPrimaryFieldName

    public java.lang.String getPrimaryFieldName()

  Returns:
    Field name, or column name in the case of a database-backed record, for a DataSourceRecord from the primary data source in a linkage operation.

### setPrimaryFieldName

    public void setPrimaryFieldName(java.lang.String primaryFieldName)

  Parameters:
    `primaryFieldName` - Field name, or column name in the case of a database-backed record, for a DataSourceRecord from the primary data source in a linkage operation.

### getSecondaryFieldName

    public java.lang.String getSecondaryFieldName()

  Returns:
    Field name, or column name in the case of a database-backed record, for a DataSourceRecord from the secondary data source in a linkage operation.

### setSecondaryFieldName

    public void setSecondaryFieldName(java.lang.String secondaryFieldName)

  Parameters:
    `secondaryFieldName` - Field name, or column name in the case of a database-backed record, for a DataSourceRecord from the secondary data source in a linkage operation.

### getMethod

    public java.lang.String getMethod()

  Returns:
    String describing a matching method for a LinkageEngine to use to match records. This string varies according to the LinkageEngine implementation.

### setMethod

    public void setMethod(java.lang.String method)

  Parameters:
    `method` - String describing a matching method for a LinkageEngine to use to match records. This string varies according to the LinkageEngine implementation.

### getMissingValueString

    public java.lang.String getMissingValueString()

### setMissingValueString

    public void setMissingValueString(java.lang.String missingValueString)

### isDate

    public boolean isDate()

### setDate

    public void setDate(boolean isDate)

### getDateFormat

    public java.lang.String getDateFormat()

### setDateFormat

    public void setDateFormat(java.lang.String dateFormat)

### getMissingValueDateDay

    public java.lang.String getMissingValueDateDay()

### setMissingValueDateDay

    public void setMissingValueDateDay(java.lang.String missingValueDateDay)

### getMissingValueDateMonth

    public java.lang.String getMissingValueDateMonth()

### setMissingValueDateMonth

    public void setMissingValueDateMonth(java.lang.String missingValueDateMonth)

### getMissingValueDateYear

    public java.lang.String getMissingValueDateYear()

### setMissingValueDateYear

    public void setMissingValueDateYear(java.lang.String missingValueDateYear)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD